require 'spec_helper'

describe Ihome do
  before do
    Ihome.configure(
      client_id: 'CLIENT_ID',
      client_secret: 'CLIENT_SECRET',
      site: 'https://api.example.com',
      redirect_uri: 'https://api.redirect.com'
    )
  end

  it 'has a version number' do
    expect(Ihome::VERSION).to_not be nil
  end

  it 'can be configured' do
    Ihome.configuration.client_id.should eql('CLIENT_ID')
    Ihome.configuration.client_secret.should eql('CLIENT_SECRET')
    Ihome.configuration.site.should eql('https://api.example.com')
    Ihome.configuration.redirect_uri.should eql('https://api.redirect.com')
  end

  it 'can return an authorization_url' do
    Ihome.authorization_url('state').should == 'https://api.example.com/api/oauth/authorize/?client_id=CLIENT_ID&response_type=code&state=state'
  end
end